Skip to content
IForevents Docs
IForevents Docs
HomeDashboardGitHubPrivacyTermsSecurityIntroduction
Support and SLA

Run one saved funnel, retention or flow report of a board

POST
/v1/boards/{board_uuid}/widgets/{widget_id}/run

Authorization

bearerAuth
AuthorizationBearer <token>

Session token issued by the accounts service (or the legacy /v1/auth routes).

In: header

Path Parameters

board_uuid*string
Formatuuid
widget_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/boards/497f6eca-6276-4993-bfeb-53cbbbba6f08/widgets/string/run" \  -H "Content-Type: application/json" \  -d '{    "end": "2026-09-13T12:30:45Z",    "start": "2026-09-01T00:00:00Z"  }'
{  "result": {    "end": "2026-09-13T12:30:45Z",    "funnel": {      "immature_users": 0,      "observed_until": "2026-09-13T12:30:45Z",      "overall_conversion_rate": null,      "steps": [],      "total_completed": 0,      "total_entered": 0,      "window_hours": 24    },    "start": "2026-09-01T00:00:00Z",    "type": "funnel",    "widget_id": "w_1a2b3c4d5e6f"  }}
end?string
Formatdate-time
start?string
Formatdate-time